using Syntriax.Engine.Core.Abstract;

namespace Syntriax.Engine.Network.Abstract;

public interface INetworkBehaviour : IBehaviour
{
    int NetworkId { get; }

    bool LocalAssigned { get; }

    bool IsServer { get; }
    bool IsClient { get; }

    INetworkCommunicator NetworkCommunicator { get; }

    public void RequestAssignment();
    public void ReleaseAssignment();
}
